<?php

include("extensions/EqItems/eqspell.php");

function efShowSpellMessages() {
	return array(
		'en' => array(
		'showspell' => 'Everquest Item'
	), );
}

class showspell extends SpecialPage {
	
	/**
	 * Constructor
	 */
	public function __construct() {
		global $wgMessageCache;

		foreach( efShowSpellMessages() as $lang => $messages )
			$wgMessageCache->addMessages( $messages, $lang );

		parent::__construct( 'ShowSpell', 'showspell' );
	}

	/**
	 * @param $par Parameters passed to the page
	 */
	public function execute( $par ) {
		global $wgUser, $wgRequest, $wgOut, $spell_fields;
		$this->setHeaders();
				
			# Keep out blocked users
		if( $wgUser->isBlocked() ) {
			$wgOut->blockedPage();
			return;
		}

		$spellid =  mysql_real_escape_string($_GET['id']);

		if ($spellid == null || $spellid == "") {
			$wgOut->addHTML("No spell specified!");
			return;
		}

		$query = "UPDATE site_stats SET ss_eqshowspell_count = ss_eqshowspell_count + 1";
		mysql_query($query);

		$query = "SELECT ". implode(", ",$spell_fields) ." FROM eqspells WHERE (id=".$spellid.");";
		$spell = loadEqSpell($spellid);

		if ($spell == null) {
			$wgOut->addHTML("No spell with an ID of ".$spellid." was found!");
			return;
		}

		$wgOut->addHTML("<table border='1' cellpadding='1' cellspacing='0' style='background-color:#000000; color:#ffffff; font-family:sans-serif; font-size: 9pt;'><tr><td align='center' width='500' colspan='2'>");

		$wgOut->addHTML($spell->getName()."<br />");

		$wgOut->addHTML("</td></tr><tr><td>");

		$wgOut->addHTML($spell->getHtmlDisplayString()."<br />");

		$wgOut->addHTML("<p style='text-align:right;'><small >");
		$wgOut->addHTML("Spells on <a style='color:#ffff33; text-decoration:none;' href='http://www.eqwiki.net'>EQWiki.net</a> thanks to <A style='color:#ffff33; text-decoration:none;' HREF='http://lucy.allakhazam.com'>Lucy</a>");
		$wgOut->addHTML("</small></td></tr></table>");
	
	}

}

?>
